
D4Science Infrastructure - Task #9122

Upgrade MongoDB to 3.4 version

Jun 30, 2017 06:09 PM - Roberto Cirillo

Status: New Start date: Jun 30, 2017

Priority: Urgent Due date: Jul 13, 2018

Assignee: Tommaso Piccioli % Done: 0%

Category: Data Management Estimated time: 0.00 hour

Target version: Upgrade MongoDB to 3.2 version   

Infrastructure: Development, Production   

Description

We should upgrade our mongoDB clusters to version 3.2. Now we have installed the version 3.0, so this upgrade can be done

without any downtime and using a "rolling" upgrade.

First, we should upgrade the dev cluster, after that, we could upgrade the production cluster. The upgrade will be done in the

following way:

Upgrade secondary members of the replica set.

Step down the replica set primary.

Upgrade the primary.

Subtasks:

Task # 9123: MongoDB: upgrade dev cluster to version 3.2 Closed

Task # 11964: MongoDB: upgrade dev cluster to version 3.4 Closed

Task # 12117: MongoDB: upgrade production cluster to version 3.2 Closed

Task # 12118: MongoDB: upgrade production cluster to version 3.4 Closed

History

#2 - Jun 18, 2018 10:24 AM - Roberto Cirillo

- Subject changed from Upgrade MongoDB to 3.2 version to Upgrade MongoDB to 3.4 version

#3 - Jun 18, 2018 10:44 AM - Roberto Cirillo

- Due date set to Jun 19, 2018

due to changes in a related task
